Subject: [AAA-WG]: An error in RFC 3588

From: Goeman Stefan <[email-masked]>
Date: Tue, 2 Mar 2004 16:02:48 +0100

Hello All,

I believe there is an error in the Diameter Base Protocol RFC. I refer to
Figure 6 in section 6.1.8 Relaying and Proxying Requests.
First of all, there is a small typo with the mno.net and example.net things,
but this is not the real problem I have.

The text in section 6.1.8 says that "A relay of proxy agent MUST append a
Route-Record AVP to all requests forwarded. The AVP contains the identity of
the peer the request was received from." This is reflected in Figure 6. In
Figure 6, (Origin-Host=nas.mno.net) and (Route-Record=nas.mno.net) (Remember
my first remark on the typo).

However, when I read the text in section 6.7.1 Route-Record AVP, I read "The
Route-Record AVP is of type DiameterIdentity. The identity added in this AVP
MUST be the same as the one received in the Origin-Host of the Capabilities
Exchange message". Applying this to Figure 6, I assume that the CE message
are between DRL and HMS. In these messages Origin-Host would be the identity
of DRL. So, I think that in Figure 6 it should be (Origin-Host=nas.mno.net)
and (Route-Record=drl.mno.net).

Greetings,
Stefan.

Stefan Goeman 
SIEMENS ICM/ICN 
[email-masked]  <mailto:[email-masked]> 
phone:   +32 14 253020 
mobile:  
Fax:       +32 14 22 29 94 
	
Mobile Solutions 
and Enabling Services
http://www.ic.siemens.be <http://www.ic.siemens.be/eng/default_rd.shtm>

Customer driven solution providers

---

From: Goeman Stefan <[email-masked]>
Date: Fri, 19 Mar 2004 16:40:08 +0100

This was the original message I sent the 2nd of March.
 
Greetings,
Stefan.
 
-----Original Message-----
From: Goeman Stefan [mailto:[email-masked]] 
Sent: dinsdag 2 maart 2004 16:03
To: [email-masked]'
Subject: [AAA-WG]: An error in RFC 3588

Hello All, 

Greetings, 
Stefan. 

Stefan Goeman
SIEMENS ICM/ICN
 <mailto:[email-masked]> [email-masked]
       
Mobile Solutions 
and Enabling Services
 <http://www.ic.siemens.be/eng/default_rd.shtm> http://www.ic.siemens.be